Foreman - Bug #20986

user_id parameter in ssh key create action is wrongly documented
09/18/2017 02:28 PM - Toma$ Strachota

Status: Closed
Priority: Normal
Assignee: Toma$ Strachota
Category: Users, Roles and Permissions
Target version: 1.17.0
Difficulty: trivial Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4855
Description

The API docs for

POST /api/users/:user_id/ssh_keys

document the :user_id parameter as nested in ssh_key hash but the server expect it on the first level as it's a route parameter. This
causes issues in hammer that uses the documentation to automatically build the request data.

The current documetation:

Param name Validations Description
ssh_key Hash

ssh_key[name] String

ssh_keylkey] String Public SSH key
ssh_key[user_id] String ID of the user

Expected resulit:
The :user_id parameter should be documented on the first level, outside of the ssh_key hash:

Param name Validations Description
user_id String ID of the user
ssh_key Hash
ssh_key[name] String
ssh_key[key] String Public SSH key
Related issues:
Related to Hammer CLI - Bug #20476: Creating SSH Key in User Template functio... Closed 08/01/2017
Related to Foreman - Bug #21299: documentation of user_id in ssh_keys API con... Closed

Associated revisions

Revision 609f0181 - 09/19/2017 02:28 AM - Tomas Strachota

Fixes #20986 - wrongly documented :user_id in ssh_keys#create

History

#1 - 09/18/2017 02:33 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Tomas Strachota

- Pull request https://github.com/theforeman/foreman/pull/4855 added

#2 - 09/19/2017 02:11 AM - Marek Hulan
- Related to Bug #20476: Creating SSH Key in User Template functionality missing in hammer CLI added
#3 - 09/19/2017 02:30 AM - Marek Hulan

- translation missing: en.field_release set to 296

#4 - 09/19/2017 03:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 609f01817a1ebf7a961cabfcd8c728e3de63c5fb.

#5 - 10/11/2017 08:08 AM - Marek Hulan
- Related to Bug #21299: documentation of user_id in ssh_keys API controller is wrong added

#6 - 07/15/2020 01:26 PM - Tomer Brisker

- Category changed from 218 to Users, Roles and Permissions
